package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.RoleDTO;
import com.gic.auth.dto.RoleListDTO;
import com.gic.auth.qo.RoleListQO;
/**
 * 角色权限接口
 * @ClassName: RoleApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:34 AM 
 */
public interface RoleApiService {

    /**
     * 新增角色
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(RoleDTO dto);

    /**
     * 编辑
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> update(RoleDTO dto);

    /**
     * 详情
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.RoleDTO> 
      */
    ServiceResponse<RoleDTO> getById(Integer id);

    /**
     * 分页查询列表
     * @Title: pageRole 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.RoleDTO>> 
      */
    ServiceResponse<Page<RoleListDTO>> pageRole(RoleListQO params);
}
