package com.gic.auth.web.controller;

import com.gic.enterprise.utils.UserDetailUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.auth.dto.RoleDTO;
import com.gic.auth.qo.RoleListQO;
import com.gic.auth.service.RoleApiService;
import com.gic.auth.web.vo.RoleDetailVO;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;

@RestController
@RequestMapping("/role")
public class RoleController {

    @Autowired
    private RoleApiService roleApiService;

    @RequestMapping("/get-detail")
    public RestResponse getDetail(Integer id) {
        return ResultControllerUtils.commonResultOne(roleApiService.getById(id), RoleDetailVO.class);
    }

    @RequestMapping("/save")
    public RestResponse save(RoleDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(roleApiService.save(dto));
    }

    @RequestMapping("/update")
    public RestResponse update(RoleDTO dto) {
        dto.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(roleApiService.update(dto));
    }

    @RequestMapping("/list-role")
    public RestResponse listRole(RoleListQO params) {
        params.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(roleApiService.pageRole(params));
    }
}
